## qmenumodel 0.2.10%2b17.04.20161116

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,6 +13,7 @@
 pkg_check_modules(GIO REQUIRED gio-2.0>=2.32)
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
+SET(CMAKE_CXX_FLAGS "-std=c++11")
 add_definitions(-DQT_NO_KEYWORDS)
 
 find_program(DBUS_RUNNER dbus-test-runner)
@@ -26,7 +27,7 @@
         message(FATAL_ERROR "gcov command not found")
     endif()
     SET(CMAKE_C_FLAGS "-g -O0 -Wall --coverage")
-    SET(CMAKE_CXX_FLAGS "-g -O0 -Wall --coverage")
+    SET(CMAKE_CXX_FLAGS "-g -O0 -Wall -std=c++11 --coverage")
     SET(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} --coverage")
     include(${CMAKE_SOURCE_DIR}/cmake/lcov.cmake)
 endif()
