=== tests/client/CMakeLists.txt ===
--- 
+++ 
@@ -23,6 +23,7 @@
                          TIMEOUT ${CTEST_TESTING_TIMEOUT}
                          ENVIRONMENT "PYTHONPATH=${TEST_PYTHONPATH};QT_QPA_PLATFORM=minimal")
 
+    set(TESTS ${TESTS} ${testname})
 endmacro(declare_test testname)
 
 macro(declare_simple_test testname)
@@ -60,6 +61,18 @@
 declare_test(convertertest)
 declare_test(modelsignalstest)
 declare_test(treetest)
+declare_test(unitymenuactiontest)
 
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/qmlfiles.h.in
                ${CMAKE_CURRENT_BINARY_DIR}/qmlfiles.h)
+
+find_package(CoverageReport)
+enable_coverage_report(
+  TARGETS
+    qmenumodel
+  FILTER
+    ${CMAKE_SOURCE_DIR}/tests/*
+    ${CMAKE_BINARY_DIR}/*
+  TESTS
+    ${TESTS}
+)
