=== debian/changelog ===
qmenumodel (0.8.0-2) unstable; urgency=medium

  * Source-only upload as is.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 22 Oct 2020 10:07:41 +0200

qmenumodel (0.8.0-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #968602).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 18 Aug 2020 15:12:55 +0200
