=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
https://releases.ayatana-indicators.org/source/qmenumodel/qmenumodel-(.+)\.tar\.gz
