=== examples/CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,6 @@
 
 add_executable(info-menumodel info-menumodel.cpp)
 
-qt5_use_modules(info-menumodel Core)
 include_directories(${QMENUMODEL_INCLUDE_DIRS})
-target_link_libraries(info-menumodel ${QMENUMODEL_LDFLAGS})
+target_link_libraries(info-menumodel ${QMENUMODEL_LDFLAGS} Qt5::Core)
