=== tests/CMakeLists.txt ===
find_package(Qt5Quick REQUIRED)
find_package(Qt5Test REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(Qt5DBus REQUIRED)

add_subdirectory(script)
add_subdirectory(client)
