=== debian/changelog ===
qmenumodel (0.9.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update auto-generated copyright.in template file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 08 Feb 2022 21:40:32 +0100

qmenumodel (0.9.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/upstream/metadata:
    + Update points of contact, put UBports Foundation in Donation: field.
  * debian/{control,*.install}:
    + SOVERSION bump and QML API version bump.
  * debian/copyright:
    + Update copyright.in reference template.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 15 Dec 2021 23:11:42 +0100

qmenumodel (0.8.1-1) unstable; urgency=medium

  * New upstream release.
    - Move GLib-2.0 includes outside of extern "C". (Closes: #992363).
  * debian/control:
    + Bump Standards-Version: to 4.6.0. No changes needed.
  * debian/rules:
    + Enable unit tests.
  * debian/copyright:
    + Update copyright attributions.
  * debian/watch: Bump format version to 4.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 24 Oct 2021 16:35:05 +0200
