=== debian/control ===
--- 
+++ 
@@ -18,13 +18,13 @@
                gir1.2-glib-2.0,
                dbus-test-runner,
                libgles2-mesa-dev | libgl-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/qmenumodel
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/qmenumodel.git
 Vcs-Browser: https://salsa.debian.org/debian-ayatana-team/qmenumodel/
 
-Package: libqmenumodel0
+Package: libqmenumodel1
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
@@ -42,7 +42,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libqmenumodel0 (= ${binary:Version}),
+         libqmenumodel1 (= ${binary:Version}),
 Description: Qt binding for GMenuModel - development files
  Qt binding for GMenuModel that allows connecting to a menu model exposed on
  D-Bus and presents it as a list model. It can be used to expose indicator or
@@ -50,11 +50,11 @@
  .
  This package contains the development headers for libqmenumodel.
 
-Package: qmenumodel-qml
+Package: qml-module-qmenumodel1
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libqmenumodel0 (= ${binary:Version}),
+         libqmenumodel1 (= ${binary:Version}),
 Description: Qt binding for GMenuModel - QML module
  Qt binding for GMenuModel that allows connecting to a menu model exposed on
  D-Bus and presents it as a list model. It can be used to expose indicator or
@@ -62,3 +62,17 @@
  .
  This package contains the QML module for building applications using the
  QMenuModel library.
+
+# remove for bookworm+1
+Package: qmenumodel-qml
+Section: oldlibs
+Architecture: any
+Depends: ${misc:Depends},
+         qml-module-qmenumodel1 (= ${binary:Version}),
+Description: Qt binding for GMenuModel - QML module (transitional package)
+ Qt binding for GMenuModel that allows connecting to a menu model exposed on
+ D-Bus and presents it as a list model. It can be used to expose indicator or
+ application menus for applications using the Qt framework.
+ .
+ This package facilitates the transition from qmenumodel-qml to
+ qml-module-qmenumodel.
