=== libqmenumodel/src/CMakeLists.txt ===
--- 
+++ 
@@ -11,10 +11,10 @@
     qdbusactiongroup.cpp
     qmenumodelevents.cpp
     qstateaction.cpp
-    unitymenuaction.cpp
-    unitymenuactionevents.cpp
-    unitymenumodel.cpp
-    unitymenumodelevents.cpp
+    ayatanamenuaction.cpp
+    ayatanamenuactionevents.cpp
+    ayatanamenumodel.cpp
+    ayatanamenumodelevents.cpp
     gtk/gtkactionmuxer.c
     gtk/gtkactionmuxer.h
     gtk/gtkactionobservable.c
@@ -36,8 +36,8 @@
 
 set_target_properties(${SHAREDLIBNAME} PROPERTIES
     COMPILE_FLAGS -fPIC
-    SOVERSION 0
-    VERSION 0.1.1
+    SOVERSION 1
+    VERSION 1.0.0
 )
 
 include_directories(
@@ -62,8 +62,8 @@
     qdbusobject.h
     qmenumodel.h
     qstateaction.h
-    unitymenuaction.h
-    unitymenumodel.h
+    ayatanamenuaction.h
+    ayatanamenumodel.h
 )
 
 set(INCLUDEDIR qmenumodel)
