=== debian/changelog ===
qmenumodel (0.9.2-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Increase the test timeout, thanks to Aurelien Jarno.
    (Closes: #1086635)

 -- Adrian Bunk <bunk@debian.org>  Wed, 09 Apr 2025 13:09:11 +0300

qmenumodel (0.9.2-1) unstable; urgency=medium

  [ Ratchanan Srirattanamet ]
  * debian: add .gitattributes to aid with changelog merging
  * debian/control: B-D on qml-module-qtquick2 (for a test)

  [ Mike Gabriel ]
  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * debian/copyright:
    + Update copyright attribution for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 24 Aug 2023 17:55:59 +0200
