=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
                cmake (>= 2.8.9),
                cmake-extras,
                libglib2.0-dev,
+               qml-module-qtquick2 <!nocheck>,
                qt5-qmake,
                qtbase5-dev (>= 5.0),
                qtdeclarative5-dev (>= 5.0),
@@ -18,7 +19,7 @@
                gir1.2-glib-2.0,
                dbus-test-runner,
                libgles2-mesa-dev | libgl-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/qmenumodel
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/qmenumodel.git
