=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,17 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
+DEB_CMAKE_EXTRA_FLAGS = \
+    -DCMAKE_INSTALL_LOCALSTATEDIR="/var" \
+    -DENABLE_TESTS=ON \
+    -DENABLE_COVERAGE=OFF \
+    $(NULL)
+
 %:
 	dh $@
+
+override_dh_auto_configure:
+	dh_auto_configure -- $(DEB_CMAKE_EXTRA_FLAGS)
 
 override_dh_makeshlibs:
 	dh_makeshlibs -Xlibqmenumodel-qml.so
